package org.xtext.example.mydsl3.ui.contentassist.antlr.internal;

// Hack: Use our own Lexer superclass by means of import. 
// Currently there is no other way to specify the superclass for the lexer.
import org.eclipse.xtext.ui.editor.contentassist.antlr.internal.Lexer;


import org.antlr.runtime.*;
import java.util.Stack;
import java.util.List;
import java.util.ArrayList;

@SuppressWarnings("all")
public class InternalMyDslLexer extends Lexer {
    public static final int RULE_ID=4;
    public static final int RULE_ANY_OTHER=10;
    public static final int T29=29;
    public static final int T28=28;
    public static final int T27=27;
    public static final int T26=26;
    public static final int T25=25;
    public static final int Tokens=33;
    public static final int T24=24;
    public static final int EOF=-1;
    public static final int RULE_SL_COMMENT=8;
    public static final int T23=23;
    public static final int T22=22;
    public static final int T21=21;
    public static final int T20=20;
    public static final int RULE_ML_COMMENT=7;
    public static final int RULE_STRING=5;
    public static final int RULE_INT=6;
    public static final int T11=11;
    public static final int T12=12;
    public static final int T13=13;
    public static final int T14=14;
    public static final int RULE_WS=9;
    public static final int T15=15;
    public static final int T16=16;
    public static final int T17=17;
    public static final int T18=18;
    public static final int T30=30;
    public static final int T19=19;
    public static final int T32=32;
    public static final int T31=31;
    public InternalMyDslLexer() {;} 
    public InternalMyDslLexer(CharStream input) {
        super(input);
    }
    public String getGrammarFileName() { return "../org.xtext.example.mydsl3.ui/src-gen/org/xtext/example/mydsl3/ui/contentassist/antlr/internal/InternalMyDsl.g"; }

    // $ANTLR start T11
    public final void mT11() throws RecognitionException {
        try {
            int _type = T11;
            // ../org.xtext.example.mydsl3.ui/src-gen/org/xtext/example/mydsl3/ui/contentassist/antlr/internal/InternalMyDsl.g:10:5: ( 'AgentInternalViewPoint' )
            // ../org.xtext.example.mydsl3.ui/src-gen/org/xtext/example/mydsl3/ui/contentassist/antlr/internal/InternalMyDsl.g:10:7: 'AgentInternalViewPoint'
            {
            match("AgentInternalViewPoint"); 


            }

            this.type = _type;
        }
        finally {
        }
    }
    // $ANTLR end T11

    // $ANTLR start T12
    public final void mT12() throws RecognitionException {
        try {
            int _type = T12;
            // ../org.xtext.example.mydsl3.ui/src-gen/org/xtext/example/mydsl3/ui/contentassist/antlr/internal/InternalMyDsl.g:11:5: ( '{' )
            // ../org.xtext.example.mydsl3.ui/src-gen/org/xtext/example/mydsl3/ui/contentassist/antlr/internal/InternalMyDsl.g:11:7: '{'
            {
            match('{'); 

            }

            this.type = _type;
        }
        finally {
        }
    }
    // $ANTLR end T12

    // $ANTLR start T13
    public final void mT13() throws RecognitionException {
        try {
            int _type = T13;
            // ../org.xtext.example.mydsl3.ui/src-gen/org/xtext/example/mydsl3/ui/contentassist/antlr/internal/InternalMyDsl.g:12:5: ( '}' )
            // ../org.xtext.example.mydsl3.ui/src-gen/org/xtext/example/mydsl3/ui/contentassist/antlr/internal/InternalMyDsl.g:12:7: '}'
            {
            match('}'); 

            }

            this.type = _type;
        }
        finally {
        }
    }
    // $ANTLR end T13

    // $ANTLR start T14
    public final void mT14() throws RecognitionException {
        try {
            int _type = T14;
            // ../org.xtext.example.mydsl3.ui/src-gen/org/xtext/example/mydsl3/ui/contentassist/antlr/internal/InternalMyDsl.g:13:5: ( 'Belief' )
            // ../org.xtext.example.mydsl3.ui/src-gen/org/xtext/example/mydsl3/ui/contentassist/antlr/internal/InternalMyDsl.g:13:7: 'Belief'
            {
            match("Belief"); 


            }

            this.type = _type;
        }
        finally {
        }
    }
    // $ANTLR end T14

    // $ANTLR start T15
    public final void mT15() throws RecognitionException {
        try {
            int _type = T15;
            // ../org.xtext.example.mydsl3.ui/src-gen/org/xtext/example/mydsl3/ui/contentassist/antlr/internal/InternalMyDsl.g:14:5: ( ';' )
            // ../org.xtext.example.mydsl3.ui/src-gen/org/xtext/example/mydsl3/ui/contentassist/antlr/internal/InternalMyDsl.g:14:7: ';'
            {
            match(';'); 

            }

            this.type = _type;
        }
        finally {
        }
    }
    // $ANTLR end T15

    // $ANTLR start T16
    public final void mT16() throws RecognitionException {
        try {
            int _type = T16;
            // ../org.xtext.example.mydsl3.ui/src-gen/org/xtext/example/mydsl3/ui/contentassist/antlr/internal/InternalMyDsl.g:15:5: ( 'Goal' )
            // ../org.xtext.example.mydsl3.ui/src-gen/org/xtext/example/mydsl3/ui/contentassist/antlr/internal/InternalMyDsl.g:15:7: 'Goal'
            {
            match("Goal"); 


            }

            this.type = _type;
        }
        finally {
        }
    }
    // $ANTLR end T16

    // $ANTLR start T17
    public final void mT17() throws RecognitionException {
        try {
            int _type = T17;
            // ../org.xtext.example.mydsl3.ui/src-gen/org/xtext/example/mydsl3/ui/contentassist/antlr/internal/InternalMyDsl.g:16:5: ( 'Capabilities' )
            // ../org.xtext.example.mydsl3.ui/src-gen/org/xtext/example/mydsl3/ui/contentassist/antlr/internal/InternalMyDsl.g:16:7: 'Capabilities'
            {
            match("Capabilities"); 


            }

            this.type = _type;
        }
        finally {
        }
    }
    // $ANTLR end T17

    // $ANTLR start T18
    public final void mT18() throws RecognitionException {
        try {
            int _type = T18;
            // ../org.xtext.example.mydsl3.ui/src-gen/org/xtext/example/mydsl3/ui/contentassist/antlr/internal/InternalMyDsl.g:17:5: ( 'includes' )
            // ../org.xtext.example.mydsl3.ui/src-gen/org/xtext/example/mydsl3/ui/contentassist/antlr/internal/InternalMyDsl.g:17:7: 'includes'
            {
            match("includes"); 


            }

            this.type = _type;
        }
        finally {
        }
    }
    // $ANTLR end T18

    // $ANTLR start T19
    public final void mT19() throws RecognitionException {
        try {
            int _type = T19;
            // ../org.xtext.example.mydsl3.ui/src-gen/org/xtext/example/mydsl3/ui/contentassist/antlr/internal/InternalMyDsl.g:18:5: ( 'uses' )
            // ../org.xtext.example.mydsl3.ui/src-gen/org/xtext/example/mydsl3/ui/contentassist/antlr/internal/InternalMyDsl.g:18:7: 'uses'
            {
            match("uses"); 


            }

            this.type = _type;
        }
        finally {
        }
    }
    // $ANTLR end T19

    // $ANTLR start T20
    public final void mT20() throws RecognitionException {
        try {
            int _type = T20;
            // ../org.xtext.example.mydsl3.ui/src-gen/org/xtext/example/mydsl3/ui/contentassist/antlr/internal/InternalMyDsl.g:19:5: ( 'applies' )
            // ../org.xtext.example.mydsl3.ui/src-gen/org/xtext/example/mydsl3/ui/contentassist/antlr/internal/InternalMyDsl.g:19:7: 'applies'
            {
            match("applies"); 


            }

            this.type = _type;
        }
        finally {
        }
    }
    // $ANTLR end T20

    // $ANTLR start T21
    public final void mT21() throws RecognitionException {
        try {
            int _type = T21;
            // ../org.xtext.example.mydsl3.ui/src-gen/org/xtext/example/mydsl3/ui/contentassist/antlr/internal/InternalMyDsl.g:20:5: ( 'AgentState' )
            // ../org.xtext.example.mydsl3.ui/src-gen/org/xtext/example/mydsl3/ui/contentassist/antlr/internal/InternalMyDsl.g:20:7: 'AgentState'
            {
            match("AgentState"); 


            }

            this.type = _type;
        }
        finally {
        }
    }
    // $ANTLR end T21

    // $ANTLR start T22
    public final void mT22() throws RecognitionException {
        try {
            int _type = T22;
            // ../org.xtext.example.mydsl3.ui/src-gen/org/xtext/example/mydsl3/ui/contentassist/antlr/internal/InternalMyDsl.g:21:5: ( 'SemanticWebAgent' )
            // ../org.xtext.example.mydsl3.ui/src-gen/org/xtext/example/mydsl3/ui/contentassist/antlr/internal/InternalMyDsl.g:21:7: 'SemanticWebAgent'
            {
            match("SemanticWebAgent"); 


            }

            this.type = _type;
        }
        finally {
        }
    }
    // $ANTLR end T22

    // $ANTLR start T23
    public final void mT23() throws RecognitionException {
        try {
            int _type = T23;
            // ../org.xtext.example.mydsl3.ui/src-gen/org/xtext/example/mydsl3/ui/contentassist/antlr/internal/InternalMyDsl.g:22:5: ( 'contains' )
            // ../org.xtext.example.mydsl3.ui/src-gen/org/xtext/example/mydsl3/ui/contentassist/antlr/internal/InternalMyDsl.g:22:7: 'contains'
            {
            match("contains"); 


            }

            this.type = _type;
        }
        finally {
        }
    }
    // $ANTLR end T23

    // $ANTLR start T24
    public final void mT24() throws RecognitionException {
        try {
            int _type = T24;
            // ../org.xtext.example.mydsl3.ui/src-gen/org/xtext/example/mydsl3/ui/contentassist/antlr/internal/InternalMyDsl.g:23:5: ( 'plays' )
            // ../org.xtext.example.mydsl3.ui/src-gen/org/xtext/example/mydsl3/ui/contentassist/antlr/internal/InternalMyDsl.g:23:7: 'plays'
            {
            match("plays"); 


            }

            this.type = _type;
        }
        finally {
        }
    }
    // $ANTLR end T24

    // $ANTLR start T25
    public final void mT25() throws RecognitionException {
        try {
            int _type = T25;
            // ../org.xtext.example.mydsl3.ui/src-gen/org/xtext/example/mydsl3/ui/contentassist/antlr/internal/InternalMyDsl.g:24:5: ( 'has' )
            // ../org.xtext.example.mydsl3.ui/src-gen/org/xtext/example/mydsl3/ui/contentassist/antlr/internal/InternalMyDsl.g:24:7: 'has'
            {
            match("has"); 


            }

            this.type = _type;
        }
        finally {
        }
    }
    // $ANTLR end T25

    // $ANTLR start T26
    public final void mT26() throws RecognitionException {
        try {
            int _type = T26;
            // ../org.xtext.example.mydsl3.ui/src-gen/org/xtext/example/mydsl3/ui/contentassist/antlr/internal/InternalMyDsl.g:25:5: ( 'Role' )
            // ../org.xtext.example.mydsl3.ui/src-gen/org/xtext/example/mydsl3/ui/contentassist/antlr/internal/InternalMyDsl.g:25:7: 'Role'
            {
            match("Role"); 


            }

            this.type = _type;
        }
        finally {
        }
    }
    // $ANTLR end T26

    // $ANTLR start T27
    public final void mT27() throws RecognitionException {
        try {
            int _type = T27;
            // ../org.xtext.example.mydsl3.ui/src-gen/org/xtext/example/mydsl3/ui/contentassist/antlr/internal/InternalMyDsl.g:26:5: ( 'Plan' )
            // ../org.xtext.example.mydsl3.ui/src-gen/org/xtext/example/mydsl3/ui/contentassist/antlr/internal/InternalMyDsl.g:26:7: 'Plan'
            {
            match("Plan"); 


            }

            this.type = _type;
        }
        finally {
        }
    }
    // $ANTLR end T27

    // $ANTLR start T28
    public final void mT28() throws RecognitionException {
        try {
            int _type = T28;
            // ../org.xtext.example.mydsl3.ui/src-gen/org/xtext/example/mydsl3/ui/contentassist/antlr/internal/InternalMyDsl.g:27:5: ( 'dispatches' )
            // ../org.xtext.example.mydsl3.ui/src-gen/org/xtext/example/mydsl3/ui/contentassist/antlr/internal/InternalMyDsl.g:27:7: 'dispatches'
            {
            match("dispatches"); 


            }

            this.type = _type;
        }
        finally {
        }
    }
    // $ANTLR end T28

    // $ANTLR start T29
    public final void mT29() throws RecognitionException {
        try {
            int _type = T29;
            // ../org.xtext.example.mydsl3.ui/src-gen/org/xtext/example/mydsl3/ui/contentassist/antlr/internal/InternalMyDsl.g:28:5: ( 'AgentType' )
            // ../org.xtext.example.mydsl3.ui/src-gen/org/xtext/example/mydsl3/ui/contentassist/antlr/internal/InternalMyDsl.g:28:7: 'AgentType'
            {
            match("AgentType"); 


            }

            this.type = _type;
        }
        finally {
        }
    }
    // $ANTLR end T29

    // $ANTLR start T30
    public final void mT30() throws RecognitionException {
        try {
            int _type = T30;
            // ../org.xtext.example.mydsl3.ui/src-gen/org/xtext/example/mydsl3/ui/contentassist/antlr/internal/InternalMyDsl.g:29:5: ( 'Behaviour' )
            // ../org.xtext.example.mydsl3.ui/src-gen/org/xtext/example/mydsl3/ui/contentassist/antlr/internal/InternalMyDsl.g:29:7: 'Behaviour'
            {
            match("Behaviour"); 


            }

            this.type = _type;
        }
        finally {
        }
    }
    // $ANTLR end T30

    // $ANTLR start T31
    public final void mT31() throws RecognitionException {
        try {
            int _type = T31;
            // ../org.xtext.example.mydsl3.ui/src-gen/org/xtext/example/mydsl3/ui/contentassist/antlr/internal/InternalMyDsl.g:30:5: ( 'composed_of' )
            // ../org.xtext.example.mydsl3.ui/src-gen/org/xtext/example/mydsl3/ui/contentassist/antlr/internal/InternalMyDsl.g:30:7: 'composed_of'
            {
            match("composed_of"); 


            }

            this.type = _type;
        }
        finally {
        }
    }
    // $ANTLR end T31

    // $ANTLR start T32
    public final void mT32() throws RecognitionException {
        try {
            int _type = T32;
            // ../org.xtext.example.mydsl3.ui/src-gen/org/xtext/example/mydsl3/ui/contentassist/antlr/internal/InternalMyDsl.g:31:5: ( 'executes' )
            // ../org.xtext.example.mydsl3.ui/src-gen/org/xtext/example/mydsl3/ui/contentassist/antlr/internal/InternalMyDsl.g:31:7: 'executes'
            {
            match("executes"); 


            }

            this.type = _type;
        }
        finally {
        }
    }
    // $ANTLR end T32

    // $ANTLR start RULE_ID
    public final void mRULE_ID() throws RecognitionException {
        try {
            int _type = RULE_ID;
            // ../org.xtext.example.mydsl3.ui/src-gen/org/xtext/example/mydsl3/ui/contentassist/antlr/internal/InternalMyDsl.g:5280:9: ( ( '^' )? ( 'a' .. 'z' | 'A' .. 'Z' | '_' ) ( 'a' .. 'z' | 'A' .. 'Z' | '_' | '0' .. '9' )* )
            // ../org.xtext.example.mydsl3.ui/src-gen/org/xtext/example/mydsl3/ui/contentassist/antlr/internal/InternalMyDsl.g:5280:11: ( '^' )? ( 'a' .. 'z' | 'A' .. 'Z' | '_' ) ( 'a' .. 'z' | 'A' .. 'Z' | '_' | '0' .. '9' )*
            {
            // ../org.xtext.example.mydsl3.ui/src-gen/org/xtext/example/mydsl3/ui/contentassist/antlr/internal/InternalMyDsl.g:5280:11: ( '^' )?
            int alt1=2;
            int LA1_0 = input.LA(1);

            if ( (LA1_0=='^') ) {
                alt1=1;
            }
            switch (alt1) {
                case 1 :
                    // ../org.xtext.example.mydsl3.ui/src-gen/org/xtext/example/mydsl3/ui/contentassist/antlr/internal/InternalMyDsl.g:5280:11: '^'
                    {
                    match('^'); 

                    }
                    break;

            }

            if ( (input.LA(1)>='A' && input.LA(1)<='Z')||input.LA(1)=='_'||(input.LA(1)>='a' && input.LA(1)<='z') ) {
                input.consume();

            }
            else {
                MismatchedSetException mse =
                    new MismatchedSetException(null,input);
                recover(mse);    throw mse;
            }

            // ../org.xtext.example.mydsl3.ui/src-gen/org/xtext/example/mydsl3/ui/contentassist/antlr/internal/InternalMyDsl.g:5280:40: ( 'a' .. 'z' | 'A' .. 'Z' | '_' | '0' .. '9' )*
            loop2:
            do {
                int alt2=2;
                int LA2_0 = input.LA(1);

                if ( ((LA2_0>='0' && LA2_0<='9')||(LA2_0>='A' && LA2_0<='Z')||LA2_0=='_'||(LA2_0>='a' && LA2_0<='z')) ) {
                    alt2=1;
                }


                switch (alt2) {
            	case 1 :
            	    // ../org.xtext.example.mydsl3.ui/src-gen/org/xtext/example/mydsl3/ui/contentassist/antlr/internal/InternalMyDsl.g:
            	    {
            	    if ( (input.LA(1)>='0' && input.LA(1)<='9')||(input.LA(1)>='A' && input.LA(1)<='Z')||input.LA(1)=='_'||(input.LA(1)>='a' && input.LA(1)<='z') ) {
            	        input.consume();

            	    }
            	    else {
            	        MismatchedSetException mse =
            	            new MismatchedSetException(null,input);
            	        recover(mse);    throw mse;
            	    }


            	    }
            	    break;

            	default :
            	    break loop2;
                }
            } while (true);


            }

            this.type = _type;
        }
        finally {
        }
    }
    // $ANTLR end RULE_ID

    // $ANTLR start RULE_INT
    public final void mRULE_INT() throws RecognitionException {
        try {
            int _type = RULE_INT;
            // ../org.xtext.example.mydsl3.ui/src-gen/org/xtext/example/mydsl3/ui/contentassist/antlr/internal/InternalMyDsl.g:5282:10: ( ( '0' .. '9' )+ )
            // ../org.xtext.example.mydsl3.ui/src-gen/org/xtext/example/mydsl3/ui/contentassist/antlr/internal/InternalMyDsl.g:5282:12: ( '0' .. '9' )+
            {
            // ../org.xtext.example.mydsl3.ui/src-gen/org/xtext/example/mydsl3/ui/contentassist/antlr/internal/InternalMyDsl.g:5282:12: ( '0' .. '9' )+
            int cnt3=0;
            loop3:
            do {
                int alt3=2;
                int LA3_0 = input.LA(1);

                if ( ((LA3_0>='0' && LA3_0<='9')) ) {
                    alt3=1;
                }


                switch (alt3) {
            	case 1 :
            	    // ../org.xtext.example.mydsl3.ui/src-gen/org/xtext/example/mydsl3/ui/contentassist/antlr/internal/InternalMyDsl.g:5282:13: '0' .. '9'
            	    {
            	    matchRange('0','9'); 

            	    }
            	    break;

            	default :
            	    if ( cnt3 >= 1 ) break loop3;
                        EarlyExitException eee =
                            new EarlyExitException(3, input);
                        throw eee;
                }
                cnt3++;
            } while (true);


            }

            this.type = _type;
        }
        finally {
        }
    }
    // $ANTLR end RULE_INT

    // $ANTLR start RULE_STRING
    public final void mRULE_STRING() throws RecognitionException {
        try {
            int _type = RULE_STRING;
            // ../org.xtext.example.mydsl3.ui/src-gen/org/xtext/example/mydsl3/ui/contentassist/antlr/internal/InternalMyDsl.g:5284:13: ( ( '\"' ( '\\\\' ( 'b' | 't' | 'n' | 'f' | 'r' | '\"' | '\\'' | '\\\\' ) | ~ ( ( '\\\\' | '\"' ) ) )* '\"' | '\\'' ( '\\\\' ( 'b' | 't' | 'n' | 'f' | 'r' | '\"' | '\\'' | '\\\\' ) | ~ ( ( '\\\\' | '\\'' ) ) )* '\\'' ) )
            // ../org.xtext.example.mydsl3.ui/src-gen/org/xtext/example/mydsl3/ui/contentassist/antlr/internal/InternalMyDsl.g:5284:15: ( '\"' ( '\\\\' ( 'b' | 't' | 'n' | 'f' | 'r' | '\"' | '\\'' | '\\\\' ) | ~ ( ( '\\\\' | '\"' ) ) )* '\"' | '\\'' ( '\\\\' ( 'b' | 't' | 'n' | 'f' | 'r' | '\"' | '\\'' | '\\\\' ) | ~ ( ( '\\\\' | '\\'' ) ) )* '\\'' )
            {
            // ../org.xtext.example.mydsl3.ui/src-gen/org/xtext/example/mydsl3/ui/contentassist/antlr/internal/InternalMyDsl.g:5284:15: ( '\"' ( '\\\\' ( 'b' | 't' | 'n' | 'f' | 'r' | '\"' | '\\'' | '\\\\' ) | ~ ( ( '\\\\' | '\"' ) ) )* '\"' | '\\'' ( '\\\\' ( 'b' | 't' | 'n' | 'f' | 'r' | '\"' | '\\'' | '\\\\' ) | ~ ( ( '\\\\' | '\\'' ) ) )* '\\'' )
            int alt6=2;
            int LA6_0 = input.LA(1);

            if ( (LA6_0=='\"') ) {
                alt6=1;
            }
            else if ( (LA6_0=='\'') ) {
                alt6=2;
            }
            else {
                NoViableAltException nvae =
                    new NoViableAltException("5284:15: ( '\"' ( '\\\\' ( 'b' | 't' | 'n' | 'f' | 'r' | '\"' | '\\'' | '\\\\' ) | ~ ( ( '\\\\' | '\"' ) ) )* '\"' | '\\'' ( '\\\\' ( 'b' | 't' | 'n' | 'f' | 'r' | '\"' | '\\'' | '\\\\' ) | ~ ( ( '\\\\' | '\\'' ) ) )* '\\'' )", 6, 0, input);

                throw nvae;
            }
            switch (alt6) {
                case 1 :
                    // ../org.xtext.example.mydsl3.ui/src-gen/org/xtext/example/mydsl3/ui/contentassist/antlr/internal/InternalMyDsl.g:5284:16: '\"' ( '\\\\' ( 'b' | 't' | 'n' | 'f' | 'r' | '\"' | '\\'' | '\\\\' ) | ~ ( ( '\\\\' | '\"' ) ) )* '\"'
                    {
                    match('\"'); 
                    // ../org.xtext.example.mydsl3.ui/src-gen/org/xtext/example/mydsl3/ui/contentassist/antlr/internal/InternalMyDsl.g:5284:20: ( '\\\\' ( 'b' | 't' | 'n' | 'f' | 'r' | '\"' | '\\'' | '\\\\' ) | ~ ( ( '\\\\' | '\"' ) ) )*
                    loop4:
                    do {
                        int alt4=3;
                        int LA4_0 = input.LA(1);

                        if ( (LA4_0=='\\') ) {
                            alt4=1;
                        }
                        else if ( ((LA4_0>='\u0000' && LA4_0<='!')||(LA4_0>='#' && LA4_0<='[')||(LA4_0>=']' && LA4_0<='\uFFFE')) ) {
                            alt4=2;
                        }


                        switch (alt4) {
                    	case 1 :
                    	    // ../org.xtext.example.mydsl3.ui/src-gen/org/xtext/example/mydsl3/ui/contentassist/antlr/internal/InternalMyDsl.g:5284:21: '\\\\' ( 'b' | 't' | 'n' | 'f' | 'r' | '\"' | '\\'' | '\\\\' )
                    	    {
                    	    match('\\'); 
                    	    if ( input.LA(1)=='\"'||input.LA(1)=='\''||input.LA(1)=='\\'||input.LA(1)=='b'||input.LA(1)=='f'||input.LA(1)=='n'||input.LA(1)=='r'||input.LA(1)=='t' ) {
                    	        input.consume();

                    	    }
                    	    else {
                    	        MismatchedSetException mse =
                    	            new MismatchedSetException(null,input);
                    	        recover(mse);    throw mse;
                    	    }


                    	    }
                    	    break;
                    	case 2 :
                    	    // ../org.xtext.example.mydsl3.ui/src-gen/org/xtext/example/mydsl3/ui/contentassist/antlr/internal/InternalMyDsl.g:5284:62: ~ ( ( '\\\\' | '\"' ) )
                    	    {
                    	    if ( (input.LA(1)>='\u0000' && input.LA(1)<='!')||(input.LA(1)>='#' && input.LA(1)<='[')||(input.LA(1)>=']' && input.LA(1)<='\uFFFE') ) {
                    	        input.consume();

                    	    }
                    	    else {
                    	        MismatchedSetException mse =
                    	            new MismatchedSetException(null,input);
                    	        recover(mse);    throw mse;
                    	    }


                    	    }
                    	    break;

                    	default :
                    	    break loop4;
                        }
                    } while (true);

                    match('\"'); 

                    }
                    break;
                case 2 :
                    // ../org.xtext.example.mydsl3.ui/src-gen/org/xtext/example/mydsl3/ui/contentassist/antlr/internal/InternalMyDsl.g:5284:82: '\\'' ( '\\\\' ( 'b' | 't' | 'n' | 'f' | 'r' | '\"' | '\\'' | '\\\\' ) | ~ ( ( '\\\\' | '\\'' ) ) )* '\\''
                    {
                    match('\''); 
                    // ../org.xtext.example.mydsl3.ui/src-gen/org/xtext/example/mydsl3/ui/contentassist/antlr/internal/InternalMyDsl.g:5284:87: ( '\\\\' ( 'b' | 't' | 'n' | 'f' | 'r' | '\"' | '\\'' | '\\\\' ) | ~ ( ( '\\\\' | '\\'' ) ) )*
                    loop5:
                    do {
                        int alt5=3;
                        int LA5_0 = input.LA(1);

                        if ( (LA5_0=='\\') ) {
                            alt5=1;
                        }
                        else if ( ((LA5_0>='\u0000' && LA5_0<='&')||(LA5_0>='(' && LA5_0<='[')||(LA5_0>=']' && LA5_0<='\uFFFE')) ) {
                            alt5=2;
                        }


                        switch (alt5) {
                    	case 1 :
                    	    // ../org.xtext.example.mydsl3.ui/src-gen/org/xtext/example/mydsl3/ui/contentassist/antlr/internal/InternalMyDsl.g:5284:88: '\\\\' ( 'b' | 't' | 'n' | 'f' | 'r' | '\"' | '\\'' | '\\\\' )
                    	    {
                    	    match('\\'); 
                    	    if ( input.LA(1)=='\"'||input.LA(1)=='\''||input.LA(1)=='\\'||input.LA(1)=='b'||input.LA(1)=='f'||input.LA(1)=='n'||input.LA(1)=='r'||input.LA(1)=='t' ) {
                    	        input.consume();

                    	    }
                    	    else {
                    	        MismatchedSetException mse =
                    	            new MismatchedSetException(null,input);
                    	        recover(mse);    throw mse;
                    	    }


                    	    }
                    	    break;
                    	case 2 :
                    	    // ../org.xtext.example.mydsl3.ui/src-gen/org/xtext/example/mydsl3/ui/contentassist/antlr/internal/InternalMyDsl.g:5284:129: ~ ( ( '\\\\' | '\\'' ) )
                    	    {
                    	    if ( (input.LA(1)>='\u0000' && input.LA(1)<='&')||(input.LA(1)>='(' && input.LA(1)<='[')||(input.LA(1)>=']' && input.LA(1)<='\uFFFE') ) {
                    	        input.consume();

                    	    }
                    	    else {
                    	        MismatchedSetException mse =
                    	            new MismatchedSetException(null,input);
                    	        recover(mse);    throw mse;
                    	    }


                    	    }
                    	    break;

                    	default :
                    	    break loop5;
                        }
                    } while (true);

                    match('\''); 

                    }
                    break;

            }


            }

            this.type = _type;
        }
        finally {
        }
    }
    // $ANTLR end RULE_STRING

    // $ANTLR start RULE_ML_COMMENT
    public final void mRULE_ML_COMMENT() throws RecognitionException {
        try {
            int _type = RULE_ML_COMMENT;
            // ../org.xtext.example.mydsl3.ui/src-gen/org/xtext/example/mydsl3/ui/contentassist/antlr/internal/InternalMyDsl.g:5286:17: ( '/*' ( options {greedy=false; } : . )* '*/' )
            // ../org.xtext.example.mydsl3.ui/src-gen/org/xtext/example/mydsl3/ui/contentassist/antlr/internal/InternalMyDsl.g:5286:19: '/*' ( options {greedy=false; } : . )* '*/'
            {
            match("/*"); 

            // ../org.xtext.example.mydsl3.ui/src-gen/org/xtext/example/mydsl3/ui/contentassist/antlr/internal/InternalMyDsl.g:5286:24: ( options {greedy=false; } : . )*
            loop7:
            do {
                int alt7=2;
                int LA7_0 = input.LA(1);

                if ( (LA7_0=='*') ) {
                    int LA7_1 = input.LA(2);

                    if ( (LA7_1=='/') ) {
                        alt7=2;
                    }
                    else if ( ((LA7_1>='\u0000' && LA7_1<='.')||(LA7_1>='0' && LA7_1<='\uFFFE')) ) {
                        alt7=1;
                    }


                }
                else if ( ((LA7_0>='\u0000' && LA7_0<=')')||(LA7_0>='+' && LA7_0<='\uFFFE')) ) {
                    alt7=1;
                }


                switch (alt7) {
            	case 1 :
            	    // ../org.xtext.example.mydsl3.ui/src-gen/org/xtext/example/mydsl3/ui/contentassist/antlr/internal/InternalMyDsl.g:5286:52: .
            	    {
            	    matchAny(); 

            	    }
            	    break;

            	default :
            	    break loop7;
                }
            } while (true);

            match("*/"); 


            }

            this.type = _type;
        }
        finally {
        }
    }
    // $ANTLR end RULE_ML_COMMENT

    // $ANTLR start RULE_SL_COMMENT
    public final void mRULE_SL_COMMENT() throws RecognitionException {
        try {
            int _type = RULE_SL_COMMENT;
            // ../org.xtext.example.mydsl3.ui/src-gen/org/xtext/example/mydsl3/ui/contentassist/antlr/internal/InternalMyDsl.g:5288:17: ( '//' (~ ( ( '\\n' | '\\r' ) ) )* ( ( '\\r' )? '\\n' )? )
            // ../org.xtext.example.mydsl3.ui/src-gen/org/xtext/example/mydsl3/ui/contentassist/antlr/internal/InternalMyDsl.g:5288:19: '//' (~ ( ( '\\n' | '\\r' ) ) )* ( ( '\\r' )? '\\n' )?
            {
            match("//"); 

            // ../org.xtext.example.mydsl3.ui/src-gen/org/xtext/example/mydsl3/ui/contentassist/antlr/internal/InternalMyDsl.g:5288:24: (~ ( ( '\\n' | '\\r' ) ) )*
            loop8:
            do {
                int alt8=2;
                int LA8_0 = input.LA(1);

                if ( ((LA8_0>='\u0000' && LA8_0<='\t')||(LA8_0>='\u000B' && LA8_0<='\f')||(LA8_0>='\u000E' && LA8_0<='\uFFFE')) ) {
                    alt8=1;
                }


                switch (alt8) {
            	case 1 :
            	    // ../org.xtext.example.mydsl3.ui/src-gen/org/xtext/example/mydsl3/ui/contentassist/antlr/internal/InternalMyDsl.g:5288:24: ~ ( ( '\\n' | '\\r' ) )
            	    {
            	    if ( (input.LA(1)>='\u0000' && input.LA(1)<='\t')||(input.LA(1)>='\u000B' && input.LA(1)<='\f')||(input.LA(1)>='\u000E' && input.LA(1)<='\uFFFE') ) {
            	        input.consume();

            	    }
            	    else {
            	        MismatchedSetException mse =
            	            new MismatchedSetException(null,input);
            	        recover(mse);    throw mse;
            	    }


            	    }
            	    break;

            	default :
            	    break loop8;
                }
            } while (true);

            // ../org.xtext.example.mydsl3.ui/src-gen/org/xtext/example/mydsl3/ui/contentassist/antlr/internal/InternalMyDsl.g:5288:40: ( ( '\\r' )? '\\n' )?
            int alt10=2;
            int LA10_0 = input.LA(1);

            if ( (LA10_0=='\n'||LA10_0=='\r') ) {
                alt10=1;
            }
            switch (alt10) {
                case 1 :
                    // ../org.xtext.example.mydsl3.ui/src-gen/org/xtext/example/mydsl3/ui/contentassist/antlr/internal/InternalMyDsl.g:5288:41: ( '\\r' )? '\\n'
                    {
                    // ../org.xtext.example.mydsl3.ui/src-gen/org/xtext/example/mydsl3/ui/contentassist/antlr/internal/InternalMyDsl.g:5288:41: ( '\\r' )?
                    int alt9=2;
                    int LA9_0 = input.LA(1);

                    if ( (LA9_0=='\r') ) {
                        alt9=1;
                    }
                    switch (alt9) {
                        case 1 :
                            // ../org.xtext.example.mydsl3.ui/src-gen/org/xtext/example/mydsl3/ui/contentassist/antlr/internal/InternalMyDsl.g:5288:41: '\\r'
                            {
                            match('\r'); 

                            }
                            break;

                    }

                    match('\n'); 

                    }
                    break;

            }


            }

            this.type = _type;
        }
        finally {
        }
    }
    // $ANTLR end RULE_SL_COMMENT

    // $ANTLR start RULE_WS
    public final void mRULE_WS() throws RecognitionException {
        try {
            int _type = RULE_WS;
            // ../org.xtext.example.mydsl3.ui/src-gen/org/xtext/example/mydsl3/ui/contentassist/antlr/internal/InternalMyDsl.g:5290:9: ( ( ' ' | '\\t' | '\\r' | '\\n' )+ )
            // ../org.xtext.example.mydsl3.ui/src-gen/org/xtext/example/mydsl3/ui/contentassist/antlr/internal/InternalMyDsl.g:5290:11: ( ' ' | '\\t' | '\\r' | '\\n' )+
            {
            // ../org.xtext.example.mydsl3.ui/src-gen/org/xtext/example/mydsl3/ui/contentassist/antlr/internal/InternalMyDsl.g:5290:11: ( ' ' | '\\t' | '\\r' | '\\n' )+
            int cnt11=0;
            loop11:
            do {
                int alt11=2;
                int LA11_0 = input.LA(1);

                if ( ((LA11_0>='\t' && LA11_0<='\n')||LA11_0=='\r'||LA11_0==' ') ) {
                    alt11=1;
                }


                switch (alt11) {
            	case 1 :
            	    // ../org.xtext.example.mydsl3.ui/src-gen/org/xtext/example/mydsl3/ui/contentassist/antlr/internal/InternalMyDsl.g:
            	    {
            	    if ( (input.LA(1)>='\t' && input.LA(1)<='\n')||input.LA(1)=='\r'||input.LA(1)==' ' ) {
            	        input.consume();

            	    }
            	    else {
            	        MismatchedSetException mse =
            	            new MismatchedSetException(null,input);
            	        recover(mse);    throw mse;
            	    }


            	    }
            	    break;

            	default :
            	    if ( cnt11 >= 1 ) break loop11;
                        EarlyExitException eee =
                            new EarlyExitException(11, input);
                        throw eee;
                }
                cnt11++;
            } while (true);


            }

            this.type = _type;
        }
        finally {
        }
    }
    // $ANTLR end RULE_WS

    // $ANTLR start RULE_ANY_OTHER
    public final void mRULE_ANY_OTHER() throws RecognitionException {
        try {
            int _type = RULE_ANY_OTHER;
            // ../org.xtext.example.mydsl3.ui/src-gen/org/xtext/example/mydsl3/ui/contentassist/antlr/internal/InternalMyDsl.g:5292:16: ( . )
            // ../org.xtext.example.mydsl3.ui/src-gen/org/xtext/example/mydsl3/ui/contentassist/antlr/internal/InternalMyDsl.g:5292:18: .
            {
            matchAny(); 

            }

            this.type = _type;
        }
        finally {
        }
    }
    // $ANTLR end RULE_ANY_OTHER

    public void mTokens() throws RecognitionException {
        // ../org.xtext.example.mydsl3.ui/src-gen/org/xtext/example/mydsl3/ui/contentassist/antlr/internal/InternalMyDsl.g:1:8: ( T11 | T12 | T13 | T14 | T15 | T16 | T17 | T18 | T19 | T20 | T21 | T22 | T23 | T24 | T25 | T26 | T27 | T28 | T29 | T30 | T31 | T32 | RULE_ID | RULE_INT | RULE_STRING | RULE_ML_COMMENT | RULE_SL_COMMENT | RULE_WS | RULE_ANY_OTHER )
        int alt12=29;
        int LA12_0 = input.LA(1);

        if ( (LA12_0=='A') ) {
            int LA12_1 = input.LA(2);

            if ( (LA12_1=='g') ) {
                int LA12_27 = input.LA(3);

                if ( (LA12_27=='e') ) {
                    int LA12_51 = input.LA(4);

                    if ( (LA12_51=='n') ) {
                        int LA12_68 = input.LA(5);

                        if ( (LA12_68=='t') ) {
                            switch ( input.LA(6) ) {
                            case 'I':
                                {
                                int LA12_101 = input.LA(7);

                                if ( (LA12_101=='n') ) {
                                    int LA12_115 = input.LA(8);

                                    if ( (LA12_115=='t') ) {
                                        int LA12_128 = input.LA(9);

                                        if ( (LA12_128=='e') ) {
                                            int LA12_140 = input.LA(10);

                                            if ( (LA12_140=='r') ) {
                                                int LA12_151 = input.LA(11);

                                                if ( (LA12_151=='n') ) {
                                                    int LA12_159 = input.LA(12);

                                                    if ( (LA12_159=='a') ) {
                                                        int LA12_165 = input.LA(13);

                                                        if ( (LA12_165=='l') ) {
                                                            int LA12_169 = input.LA(14);

                                                            if ( (LA12_169=='V') ) {
                                                                int LA12_172 = input.LA(15);

                                                                if ( (LA12_172=='i') ) {
                                                                    int LA12_174 = input.LA(16);

                                                                    if ( (LA12_174=='e') ) {
                                                                        int LA12_176 = input.LA(17);

                                                                        if ( (LA12_176=='w') ) {
                                                                            int LA12_178 = input.LA(18);

                                                                            if ( (LA12_178=='P') ) {
                                                                                int LA12_180 = input.LA(19);

                                                                                if ( (LA12_180=='o') ) {
                                                                                    int LA12_181 = input.LA(20);

                                                                                    if ( (LA12_181=='i') ) {
                                                                                        int LA12_182 = input.LA(21);

                                                                                        if ( (LA12_182=='n') ) {
                                                                                            int LA12_183 = input.LA(22);

                                                                                            if ( (LA12_183=='t') ) {
                                                                                                int LA12_184 = input.LA(23);

                                                                                                if ( ((LA12_184>='0' && LA12_184<='9')||(LA12_184>='A' && LA12_184<='Z')||LA12_184=='_'||(LA12_184>='a' && LA12_184<='z')) ) {
                                                                                                    alt12=23;
                                                                                                }
                                                                                                else {
                                                                                                    alt12=1;}
                                                                                            }
                                                                                            else {
                                                                                                alt12=23;}
                                                                                        }
                                                                                        else {
                                                                                            alt12=23;}
                                                                                    }
                                                                                    else {
                                                                                        alt12=23;}
                                                                                }
                                                                                else {
                                                                                    alt12=23;}
                                                                            }
                                                                            else {
                                                                                alt12=23;}
                                                                        }
                                                                        else {
                                                                            alt12=23;}
                                                                    }
                                                                    else {
                                                                        alt12=23;}
                                                                }
                                                                else {
                                                                    alt12=23;}
                                                            }
                                                            else {
                                                                alt12=23;}
                                                        }
                                                        else {
                                                            alt12=23;}
                                                    }
                                                    else {
                                                        alt12=23;}
                                                }
                                                else {
                                                    alt12=23;}
                                            }
                                            else {
                                                alt12=23;}
                                        }
                                        else {
                                            alt12=23;}
                                    }
                                    else {
                                        alt12=23;}
                                }
                                else {
                                    alt12=23;}
                                }
                                break;
                            case 'S':
                                {
                                int LA12_102 = input.LA(7);

                                if ( (LA12_102=='t') ) {
                                    int LA12_116 = input.LA(8);

                                    if ( (LA12_116=='a') ) {
                                        int LA12_129 = input.LA(9);

                                        if ( (LA12_129=='t') ) {
                                            int LA12_141 = input.LA(10);

                                            if ( (LA12_141=='e') ) {
                                                int LA12_152 = input.LA(11);

                                                if ( ((LA12_152>='0' && LA12_152<='9')||(LA12_152>='A' && LA12_152<='Z')||LA12_152=='_'||(LA12_152>='a' && LA12_152<='z')) ) {
                                                    alt12=23;
                                                }
                                                else {
                                                    alt12=11;}
                                            }
                                            else {
                                                alt12=23;}
                                        }
                                        else {
                                            alt12=23;}
                                    }
                                    else {
                                        alt12=23;}
                                }
                                else {
                                    alt12=23;}
                                }
                                break;
                            case 'T':
                                {
                                int LA12_103 = input.LA(7);

                                if ( (LA12_103=='y') ) {
                                    int LA12_117 = input.LA(8);

                                    if ( (LA12_117=='p') ) {
                                        int LA12_130 = input.LA(9);

                                        if ( (LA12_130=='e') ) {
                                            int LA12_142 = input.LA(10);

                                            if ( ((LA12_142>='0' && LA12_142<='9')||(LA12_142>='A' && LA12_142<='Z')||LA12_142=='_'||(LA12_142>='a' && LA12_142<='z')) ) {
                                                alt12=23;
                                            }
                                            else {
                                                alt12=19;}
                                        }
                                        else {
                                            alt12=23;}
                                    }
                                    else {
                                        alt12=23;}
                                }
                                else {
                                    alt12=23;}
                                }
                                break;
                            default:
                                alt12=23;}

                        }
                        else {
                            alt12=23;}
                    }
                    else {
                        alt12=23;}
                }
                else {
                    alt12=23;}
            }
            else {
                alt12=23;}
        }
        else if ( (LA12_0=='{') ) {
            alt12=2;
        }
        else if ( (LA12_0=='}') ) {
            alt12=3;
        }
        else if ( (LA12_0=='B') ) {
            int LA12_4 = input.LA(2);

            if ( (LA12_4=='e') ) {
                switch ( input.LA(3) ) {
                case 'l':
                    {
                    int LA12_52 = input.LA(4);

                    if ( (LA12_52=='i') ) {
                        int LA12_69 = input.LA(5);

                        if ( (LA12_69=='e') ) {
                            int LA12_86 = input.LA(6);

                            if ( (LA12_86=='f') ) {
                                int LA12_104 = input.LA(7);

                                if ( ((LA12_104>='0' && LA12_104<='9')||(LA12_104>='A' && LA12_104<='Z')||LA12_104=='_'||(LA12_104>='a' && LA12_104<='z')) ) {
                                    alt12=23;
                                }
                                else {
                                    alt12=4;}
                            }
                            else {
                                alt12=23;}
                        }
                        else {
                            alt12=23;}
                    }
                    else {
                        alt12=23;}
                    }
                    break;
                case 'h':
                    {
                    int LA12_53 = input.LA(4);

                    if ( (LA12_53=='a') ) {
                        int LA12_70 = input.LA(5);

                        if ( (LA12_70=='v') ) {
                            int LA12_87 = input.LA(6);

                            if ( (LA12_87=='i') ) {
                                int LA12_105 = input.LA(7);

                                if ( (LA12_105=='o') ) {
                                    int LA12_119 = input.LA(8);

                                    if ( (LA12_119=='u') ) {
                                        int LA12_131 = input.LA(9);

                                        if ( (LA12_131=='r') ) {
                                            int LA12_143 = input.LA(10);

                                            if ( ((LA12_143>='0' && LA12_143<='9')||(LA12_143>='A' && LA12_143<='Z')||LA12_143=='_'||(LA12_143>='a' && LA12_143<='z')) ) {
                                                alt12=23;
                                            }
                                            else {
                                                alt12=20;}
                                        }
                                        else {
                                            alt12=23;}
                                    }
                                    else {
                                        alt12=23;}
                                }
                                else {
                                    alt12=23;}
                            }
                            else {
                                alt12=23;}
                        }
                        else {
                            alt12=23;}
                    }
                    else {
                        alt12=23;}
                    }
                    break;
                default:
                    alt12=23;}

            }
            else {
                alt12=23;}
        }
        else if ( (LA12_0==';') ) {
            alt12=5;
        }
        else if ( (LA12_0=='G') ) {
            int LA12_6 = input.LA(2);

            if ( (LA12_6=='o') ) {
                int LA12_33 = input.LA(3);

                if ( (LA12_33=='a') ) {
                    int LA12_54 = input.LA(4);

                    if ( (LA12_54=='l') ) {
                        int LA12_71 = input.LA(5);

                        if ( ((LA12_71>='0' && LA12_71<='9')||(LA12_71>='A' && LA12_71<='Z')||LA12_71=='_'||(LA12_71>='a' && LA12_71<='z')) ) {
                            alt12=23;
                        }
                        else {
                            alt12=6;}
                    }
                    else {
                        alt12=23;}
                }
                else {
                    alt12=23;}
            }
            else {
                alt12=23;}
        }
        else if ( (LA12_0=='C') ) {
            int LA12_7 = input.LA(2);

            if ( (LA12_7=='a') ) {
                int LA12_34 = input.LA(3);

                if ( (LA12_34=='p') ) {
                    int LA12_55 = input.LA(4);

                    if ( (LA12_55=='a') ) {
                        int LA12_72 = input.LA(5);

                        if ( (LA12_72=='b') ) {
                            int LA12_89 = input.LA(6);

                            if ( (LA12_89=='i') ) {
                                int LA12_106 = input.LA(7);

                                if ( (LA12_106=='l') ) {
                                    int LA12_120 = input.LA(8);

                                    if ( (LA12_120=='i') ) {
                                        int LA12_132 = input.LA(9);

                                        if ( (LA12_132=='t') ) {
                                            int LA12_144 = input.LA(10);

                                            if ( (LA12_144=='i') ) {
                                                int LA12_155 = input.LA(11);

                                                if ( (LA12_155=='e') ) {
                                                    int LA12_161 = input.LA(12);

                                                    if ( (LA12_161=='s') ) {
                                                        int LA12_166 = input.LA(13);

                                                        if ( ((LA12_166>='0' && LA12_166<='9')||(LA12_166>='A' && LA12_166<='Z')||LA12_166=='_'||(LA12_166>='a' && LA12_166<='z')) ) {
                                                            alt12=23;
                                                        }
                                                        else {
                                                            alt12=7;}
                                                    }
                                                    else {
                                                        alt12=23;}
                                                }
                                                else {
                                                    alt12=23;}
                                            }
                                            else {
                                                alt12=23;}
                                        }
                                        else {
                                            alt12=23;}
                                    }
                                    else {
                                        alt12=23;}
                                }
                                else {
                                    alt12=23;}
                            }
                            else {
                                alt12=23;}
                        }
                        else {
                            alt12=23;}
                    }
                    else {
                        alt12=23;}
                }
                else {
                    alt12=23;}
            }
            else {
                alt12=23;}
        }
        else if ( (LA12_0=='i') ) {
            int LA12_8 = input.LA(2);

            if ( (LA12_8=='n') ) {
                int LA12_35 = input.LA(3);

                if ( (LA12_35=='c') ) {
                    int LA12_56 = input.LA(4);

                    if ( (LA12_56=='l') ) {
                        int LA12_73 = input.LA(5);

                        if ( (LA12_73=='u') ) {
                            int LA12_90 = input.LA(6);

                            if ( (LA12_90=='d') ) {
                                int LA12_107 = input.LA(7);

                                if ( (LA12_107=='e') ) {
                                    int LA12_121 = input.LA(8);

                                    if ( (LA12_121=='s') ) {
                                        int LA12_133 = input.LA(9);

                                        if ( ((LA12_133>='0' && LA12_133<='9')||(LA12_133>='A' && LA12_133<='Z')||LA12_133=='_'||(LA12_133>='a' && LA12_133<='z')) ) {
                                            alt12=23;
                                        }
                                        else {
                                            alt12=8;}
                                    }
                                    else {
                                        alt12=23;}
                                }
                                else {
                                    alt12=23;}
                            }
                            else {
                                alt12=23;}
                        }
                        else {
                            alt12=23;}
                    }
                    else {
                        alt12=23;}
                }
                else {
                    alt12=23;}
            }
            else {
                alt12=23;}
        }
        else if ( (LA12_0=='u') ) {
            int LA12_9 = input.LA(2);

            if ( (LA12_9=='s') ) {
                int LA12_36 = input.LA(3);

                if ( (LA12_36=='e') ) {
                    int LA12_57 = input.LA(4);

                    if ( (LA12_57=='s') ) {
                        int LA12_74 = input.LA(5);

                        if ( ((LA12_74>='0' && LA12_74<='9')||(LA12_74>='A' && LA12_74<='Z')||LA12_74=='_'||(LA12_74>='a' && LA12_74<='z')) ) {
                            alt12=23;
                        }
                        else {
                            alt12=9;}
                    }
                    else {
                        alt12=23;}
                }
                else {
                    alt12=23;}
            }
            else {
                alt12=23;}
        }
        else if ( (LA12_0=='a') ) {
            int LA12_10 = input.LA(2);

            if ( (LA12_10=='p') ) {
                int LA12_37 = input.LA(3);

                if ( (LA12_37=='p') ) {
                    int LA12_58 = input.LA(4);

                    if ( (LA12_58=='l') ) {
                        int LA12_75 = input.LA(5);

                        if ( (LA12_75=='i') ) {
                            int LA12_92 = input.LA(6);

                            if ( (LA12_92=='e') ) {
                                int LA12_108 = input.LA(7);

                                if ( (LA12_108=='s') ) {
                                    int LA12_122 = input.LA(8);

                                    if ( ((LA12_122>='0' && LA12_122<='9')||(LA12_122>='A' && LA12_122<='Z')||LA12_122=='_'||(LA12_122>='a' && LA12_122<='z')) ) {
                                        alt12=23;
                                    }
                                    else {
                                        alt12=10;}
                                }
                                else {
                                    alt12=23;}
                            }
                            else {
                                alt12=23;}
                        }
                        else {
                            alt12=23;}
                    }
                    else {
                        alt12=23;}
                }
                else {
                    alt12=23;}
            }
            else {
                alt12=23;}
        }
        else if ( (LA12_0=='S') ) {
            int LA12_11 = input.LA(2);

            if ( (LA12_11=='e') ) {
                int LA12_38 = input.LA(3);

                if ( (LA12_38=='m') ) {
                    int LA12_59 = input.LA(4);

                    if ( (LA12_59=='a') ) {
                        int LA12_76 = input.LA(5);

                        if ( (LA12_76=='n') ) {
                            int LA12_93 = input.LA(6);

                            if ( (LA12_93=='t') ) {
                                int LA12_109 = input.LA(7);

                                if ( (LA12_109=='i') ) {
                                    int LA12_123 = input.LA(8);

                                    if ( (LA12_123=='c') ) {
                                        int LA12_135 = input.LA(9);

                                        if ( (LA12_135=='W') ) {
                                            int LA12_146 = input.LA(10);

                                            if ( (LA12_146=='e') ) {
                                                int LA12_156 = input.LA(11);

                                                if ( (LA12_156=='b') ) {
                                                    int LA12_162 = input.LA(12);

                                                    if ( (LA12_162=='A') ) {
                                                        int LA12_167 = input.LA(13);

                                                        if ( (LA12_167=='g') ) {
                                                            int LA12_171 = input.LA(14);

                                                            if ( (LA12_171=='e') ) {
                                                                int LA12_173 = input.LA(15);

                                                                if ( (LA12_173=='n') ) {
                                                                    int LA12_175 = input.LA(16);

                                                                    if ( (LA12_175=='t') ) {
                                                                        int LA12_177 = input.LA(17);

                                                                        if ( ((LA12_177>='0' && LA12_177<='9')||(LA12_177>='A' && LA12_177<='Z')||LA12_177=='_'||(LA12_177>='a' && LA12_177<='z')) ) {
                                                                            alt12=23;
                                                                        }
                                                                        else {
                                                                            alt12=12;}
                                                                    }
                                                                    else {
                                                                        alt12=23;}
                                                                }
                                                                else {
                                                                    alt12=23;}
                                                            }
                                                            else {
                                                                alt12=23;}
                                                        }
                                                        else {
                                                            alt12=23;}
                                                    }
                                                    else {
                                                        alt12=23;}
                                                }
                                                else {
                                                    alt12=23;}
                                            }
                                            else {
                                                alt12=23;}
                                        }
                                        else {
                                            alt12=23;}
                                    }
                                    else {
                                        alt12=23;}
                                }
                                else {
                                    alt12=23;}
                            }
                            else {
                                alt12=23;}
                        }
                        else {
                            alt12=23;}
                    }
                    else {
                        alt12=23;}
                }
                else {
                    alt12=23;}
            }
            else {
                alt12=23;}
        }
        else if ( (LA12_0=='c') ) {
            int LA12_12 = input.LA(2);

            if ( (LA12_12=='o') ) {
                switch ( input.LA(3) ) {
                case 'm':
                    {
                    int LA12_60 = input.LA(4);

                    if ( (LA12_60=='p') ) {
                        int LA12_77 = input.LA(5);

                        if ( (LA12_77=='o') ) {
                            int LA12_94 = input.LA(6);

                            if ( (LA12_94=='s') ) {
                                int LA12_110 = input.LA(7);

                                if ( (LA12_110=='e') ) {
                                    int LA12_124 = input.LA(8);

                                    if ( (LA12_124=='d') ) {
                                        int LA12_136 = input.LA(9);

                                        if ( (LA12_136=='_') ) {
                                            int LA12_147 = input.LA(10);

                                            if ( (LA12_147=='o') ) {
                                                int LA12_157 = input.LA(11);

                                                if ( (LA12_157=='f') ) {
                                                    int LA12_163 = input.LA(12);

                                                    if ( ((LA12_163>='0' && LA12_163<='9')||(LA12_163>='A' && LA12_163<='Z')||LA12_163=='_'||(LA12_163>='a' && LA12_163<='z')) ) {
                                                        alt12=23;
                                                    }
                                                    else {
                                                        alt12=21;}
                                                }
                                                else {
                                                    alt12=23;}
                                            }
                                            else {
                                                alt12=23;}
                                        }
                                        else {
                                            alt12=23;}
                                    }
                                    else {
                                        alt12=23;}
                                }
                                else {
                                    alt12=23;}
                            }
                            else {
                                alt12=23;}
                        }
                        else {
                            alt12=23;}
                    }
                    else {
                        alt12=23;}
                    }
                    break;
                case 'n':
                    {
                    int LA12_61 = input.LA(4);

                    if ( (LA12_61=='t') ) {
                        int LA12_78 = input.LA(5);

                        if ( (LA12_78=='a') ) {
                            int LA12_95 = input.LA(6);

                            if ( (LA12_95=='i') ) {
                                int LA12_111 = input.LA(7);

                                if ( (LA12_111=='n') ) {
                                    int LA12_125 = input.LA(8);

                                    if ( (LA12_125=='s') ) {
                                        int LA12_137 = input.LA(9);

                                        if ( ((LA12_137>='0' && LA12_137<='9')||(LA12_137>='A' && LA12_137<='Z')||LA12_137=='_'||(LA12_137>='a' && LA12_137<='z')) ) {
                                            alt12=23;
                                        }
                                        else {
                                            alt12=13;}
                                    }
                                    else {
                                        alt12=23;}
                                }
                                else {
                                    alt12=23;}
                            }
                            else {
                                alt12=23;}
                        }
                        else {
                            alt12=23;}
                    }
                    else {
                        alt12=23;}
                    }
                    break;
                default:
                    alt12=23;}

            }
            else {
                alt12=23;}
        }
        else if ( (LA12_0=='p') ) {
            int LA12_13 = input.LA(2);

            if ( (LA12_13=='l') ) {
                int LA12_40 = input.LA(3);

                if ( (LA12_40=='a') ) {
                    int LA12_62 = input.LA(4);

                    if ( (LA12_62=='y') ) {
                        int LA12_79 = input.LA(5);

                        if ( (LA12_79=='s') ) {
                            int LA12_96 = input.LA(6);

                            if ( ((LA12_96>='0' && LA12_96<='9')||(LA12_96>='A' && LA12_96<='Z')||LA12_96=='_'||(LA12_96>='a' && LA12_96<='z')) ) {
                                alt12=23;
                            }
                            else {
                                alt12=14;}
                        }
                        else {
                            alt12=23;}
                    }
                    else {
                        alt12=23;}
                }
                else {
                    alt12=23;}
            }
            else {
                alt12=23;}
        }
        else if ( (LA12_0=='h') ) {
            int LA12_14 = input.LA(2);

            if ( (LA12_14=='a') ) {
                int LA12_41 = input.LA(3);

                if ( (LA12_41=='s') ) {
                    int LA12_63 = input.LA(4);

                    if ( ((LA12_63>='0' && LA12_63<='9')||(LA12_63>='A' && LA12_63<='Z')||LA12_63=='_'||(LA12_63>='a' && LA12_63<='z')) ) {
                        alt12=23;
                    }
                    else {
                        alt12=15;}
                }
                else {
                    alt12=23;}
            }
            else {
                alt12=23;}
        }
        else if ( (LA12_0=='R') ) {
            int LA12_15 = input.LA(2);

            if ( (LA12_15=='o') ) {
                int LA12_42 = input.LA(3);

                if ( (LA12_42=='l') ) {
                    int LA12_64 = input.LA(4);

                    if ( (LA12_64=='e') ) {
                        int LA12_81 = input.LA(5);

                        if ( ((LA12_81>='0' && LA12_81<='9')||(LA12_81>='A' && LA12_81<='Z')||LA12_81=='_'||(LA12_81>='a' && LA12_81<='z')) ) {
                            alt12=23;
                        }
                        else {
                            alt12=16;}
                    }
                    else {
                        alt12=23;}
                }
                else {
                    alt12=23;}
            }
            else {
                alt12=23;}
        }
        else if ( (LA12_0=='P') ) {
            int LA12_16 = input.LA(2);

            if ( (LA12_16=='l') ) {
                int LA12_43 = input.LA(3);

                if ( (LA12_43=='a') ) {
                    int LA12_65 = input.LA(4);

                    if ( (LA12_65=='n') ) {
                        int LA12_82 = input.LA(5);

                        if ( ((LA12_82>='0' && LA12_82<='9')||(LA12_82>='A' && LA12_82<='Z')||LA12_82=='_'||(LA12_82>='a' && LA12_82<='z')) ) {
                            alt12=23;
                        }
                        else {
                            alt12=17;}
                    }
                    else {
                        alt12=23;}
                }
                else {
                    alt12=23;}
            }
            else {
                alt12=23;}
        }
        else if ( (LA12_0=='d') ) {
            int LA12_17 = input.LA(2);

            if ( (LA12_17=='i') ) {
                int LA12_44 = input.LA(3);

                if ( (LA12_44=='s') ) {
                    int LA12_66 = input.LA(4);

                    if ( (LA12_66=='p') ) {
                        int LA12_83 = input.LA(5);

                        if ( (LA12_83=='a') ) {
                            int LA12_99 = input.LA(6);

                            if ( (LA12_99=='t') ) {
                                int LA12_113 = input.LA(7);

                                if ( (LA12_113=='c') ) {
                                    int LA12_126 = input.LA(8);

                                    if ( (LA12_126=='h') ) {
                                        int LA12_138 = input.LA(9);

                                        if ( (LA12_138=='e') ) {
                                            int LA12_149 = input.LA(10);

                                            if ( (LA12_149=='s') ) {
                                                int LA12_158 = input.LA(11);

                                                if ( ((LA12_158>='0' && LA12_158<='9')||(LA12_158>='A' && LA12_158<='Z')||LA12_158=='_'||(LA12_158>='a' && LA12_158<='z')) ) {
                                                    alt12=23;
                                                }
                                                else {
                                                    alt12=18;}
                                            }
                                            else {
                                                alt12=23;}
                                        }
                                        else {
                                            alt12=23;}
                                    }
                                    else {
                                        alt12=23;}
                                }
                                else {
                                    alt12=23;}
                            }
                            else {
                                alt12=23;}
                        }
                        else {
                            alt12=23;}
                    }
                    else {
                        alt12=23;}
                }
                else {
                    alt12=23;}
            }
            else {
                alt12=23;}
        }
        else if ( (LA12_0=='e') ) {
            int LA12_18 = input.LA(2);

            if ( (LA12_18=='x') ) {
                int LA12_45 = input.LA(3);

                if ( (LA12_45=='e') ) {
                    int LA12_67 = input.LA(4);

                    if ( (LA12_67=='c') ) {
                        int LA12_84 = input.LA(5);

                        if ( (LA12_84=='u') ) {
                            int LA12_100 = input.LA(6);

                            if ( (LA12_100=='t') ) {
                                int LA12_114 = input.LA(7);

                                if ( (LA12_114=='e') ) {
                                    int LA12_127 = input.LA(8);

                                    if ( (LA12_127=='s') ) {
                                        int LA12_139 = input.LA(9);

                                        if ( ((LA12_139>='0' && LA12_139<='9')||(LA12_139>='A' && LA12_139<='Z')||LA12_139=='_'||(LA12_139>='a' && LA12_139<='z')) ) {
                                            alt12=23;
                                        }
                                        else {
                                            alt12=22;}
                                    }
                                    else {
                                        alt12=23;}
                                }
                                else {
                                    alt12=23;}
                            }
                            else {
                                alt12=23;}
                        }
                        else {
                            alt12=23;}
                    }
                    else {
                        alt12=23;}
                }
                else {
                    alt12=23;}
            }
            else {
                alt12=23;}
        }
        else if ( (LA12_0=='^') ) {
            int LA12_19 = input.LA(2);

            if ( ((LA12_19>='A' && LA12_19<='Z')||LA12_19=='_'||(LA12_19>='a' && LA12_19<='z')) ) {
                alt12=23;
            }
            else {
                alt12=29;}
        }
        else if ( ((LA12_0>='D' && LA12_0<='F')||(LA12_0>='H' && LA12_0<='O')||LA12_0=='Q'||(LA12_0>='T' && LA12_0<='Z')||LA12_0=='_'||LA12_0=='b'||(LA12_0>='f' && LA12_0<='g')||(LA12_0>='j' && LA12_0<='o')||(LA12_0>='q' && LA12_0<='t')||(LA12_0>='v' && LA12_0<='z')) ) {
            alt12=23;
        }
        else if ( ((LA12_0>='0' && LA12_0<='9')) ) {
            alt12=24;
        }
        else if ( (LA12_0=='\"') ) {
            int LA12_22 = input.LA(2);

            if ( ((LA12_22>='\u0000' && LA12_22<='\uFFFE')) ) {
                alt12=25;
            }
            else {
                alt12=29;}
        }
        else if ( (LA12_0=='\'') ) {
            int LA12_23 = input.LA(2);

            if ( ((LA12_23>='\u0000' && LA12_23<='\uFFFE')) ) {
                alt12=25;
            }
            else {
                alt12=29;}
        }
        else if ( (LA12_0=='/') ) {
            switch ( input.LA(2) ) {
            case '/':
                {
                alt12=27;
                }
                break;
            case '*':
                {
                alt12=26;
                }
                break;
            default:
                alt12=29;}

        }
        else if ( ((LA12_0>='\t' && LA12_0<='\n')||LA12_0=='\r'||LA12_0==' ') ) {
            alt12=28;
        }
        else if ( ((LA12_0>='\u0000' && LA12_0<='\b')||(LA12_0>='\u000B' && LA12_0<='\f')||(LA12_0>='\u000E' && LA12_0<='\u001F')||LA12_0=='!'||(LA12_0>='#' && LA12_0<='&')||(LA12_0>='(' && LA12_0<='.')||LA12_0==':'||(LA12_0>='<' && LA12_0<='@')||(LA12_0>='[' && LA12_0<=']')||LA12_0=='`'||LA12_0=='|'||(LA12_0>='~' && LA12_0<='\uFFFE')) ) {
            alt12=29;
        }
        else {
            NoViableAltException nvae =
                new NoViableAltException("1:1: Tokens : ( T11 | T12 | T13 | T14 | T15 | T16 | T17 | T18 | T19 | T20 | T21 | T22 | T23 | T24 | T25 | T26 | T27 | T28 | T29 | T30 | T31 | T32 | RULE_ID | RULE_INT | RULE_STRING | RULE_ML_COMMENT | RULE_SL_COMMENT | RULE_WS | RULE_ANY_OTHER );", 12, 0, input);

            throw nvae;
        }
        switch (alt12) {
            case 1 :
                // ../org.xtext.example.mydsl3.ui/src-gen/org/xtext/example/mydsl3/ui/contentassist/antlr/internal/InternalMyDsl.g:1:10: T11
                {
                mT11(); 

                }
                break;
            case 2 :
                // ../org.xtext.example.mydsl3.ui/src-gen/org/xtext/example/mydsl3/ui/contentassist/antlr/internal/InternalMyDsl.g:1:14: T12
                {
                mT12(); 

                }
                break;
            case 3 :
                // ../org.xtext.example.mydsl3.ui/src-gen/org/xtext/example/mydsl3/ui/contentassist/antlr/internal/InternalMyDsl.g:1:18: T13
                {
                mT13(); 

                }
                break;
            case 4 :
                // ../org.xtext.example.mydsl3.ui/src-gen/org/xtext/example/mydsl3/ui/contentassist/antlr/internal/InternalMyDsl.g:1:22: T14
                {
                mT14(); 

                }
                break;
            case 5 :
                // ../org.xtext.example.mydsl3.ui/src-gen/org/xtext/example/mydsl3/ui/contentassist/antlr/internal/InternalMyDsl.g:1:26: T15
                {
                mT15(); 

                }
                break;
            case 6 :
                // ../org.xtext.example.mydsl3.ui/src-gen/org/xtext/example/mydsl3/ui/contentassist/antlr/internal/InternalMyDsl.g:1:30: T16
                {
                mT16(); 

                }
                break;
            case 7 :
                // ../org.xtext.example.mydsl3.ui/src-gen/org/xtext/example/mydsl3/ui/contentassist/antlr/internal/InternalMyDsl.g:1:34: T17
                {
                mT17(); 

                }
                break;
            case 8 :
                // ../org.xtext.example.mydsl3.ui/src-gen/org/xtext/example/mydsl3/ui/contentassist/antlr/internal/InternalMyDsl.g:1:38: T18
                {
                mT18(); 

                }
                break;
            case 9 :
                // ../org.xtext.example.mydsl3.ui/src-gen/org/xtext/example/mydsl3/ui/contentassist/antlr/internal/InternalMyDsl.g:1:42: T19
                {
                mT19(); 

                }
                break;
            case 10 :
                // ../org.xtext.example.mydsl3.ui/src-gen/org/xtext/example/mydsl3/ui/contentassist/antlr/internal/InternalMyDsl.g:1:46: T20
                {
                mT20(); 

                }
                break;
            case 11 :
                // ../org.xtext.example.mydsl3.ui/src-gen/org/xtext/example/mydsl3/ui/contentassist/antlr/internal/InternalMyDsl.g:1:50: T21
                {
                mT21(); 

                }
                break;
            case 12 :
                // ../org.xtext.example.mydsl3.ui/src-gen/org/xtext/example/mydsl3/ui/contentassist/antlr/internal/InternalMyDsl.g:1:54: T22
                {
                mT22(); 

                }
                break;
            case 13 :
                // ../org.xtext.example.mydsl3.ui/src-gen/org/xtext/example/mydsl3/ui/contentassist/antlr/internal/InternalMyDsl.g:1:58: T23
                {
                mT23(); 

                }
                break;
            case 14 :
                // ../org.xtext.example.mydsl3.ui/src-gen/org/xtext/example/mydsl3/ui/contentassist/antlr/internal/InternalMyDsl.g:1:62: T24
                {
                mT24(); 

                }
                break;
            case 15 :
                // ../org.xtext.example.mydsl3.ui/src-gen/org/xtext/example/mydsl3/ui/contentassist/antlr/internal/InternalMyDsl.g:1:66: T25
                {
                mT25(); 

                }
                break;
            case 16 :
                // ../org.xtext.example.mydsl3.ui/src-gen/org/xtext/example/mydsl3/ui/contentassist/antlr/internal/InternalMyDsl.g:1:70: T26
                {
                mT26(); 

                }
                break;
            case 17 :
                // ../org.xtext.example.mydsl3.ui/src-gen/org/xtext/example/mydsl3/ui/contentassist/antlr/internal/InternalMyDsl.g:1:74: T27
                {
                mT27(); 

                }
                break;
            case 18 :
                // ../org.xtext.example.mydsl3.ui/src-gen/org/xtext/example/mydsl3/ui/contentassist/antlr/internal/InternalMyDsl.g:1:78: T28
                {
                mT28(); 

                }
                break;
            case 19 :
                // ../org.xtext.example.mydsl3.ui/src-gen/org/xtext/example/mydsl3/ui/contentassist/antlr/internal/InternalMyDsl.g:1:82: T29
                {
                mT29(); 

                }
                break;
            case 20 :
                // ../org.xtext.example.mydsl3.ui/src-gen/org/xtext/example/mydsl3/ui/contentassist/antlr/internal/InternalMyDsl.g:1:86: T30
                {
                mT30(); 

                }
                break;
            case 21 :
                // ../org.xtext.example.mydsl3.ui/src-gen/org/xtext/example/mydsl3/ui/contentassist/antlr/internal/InternalMyDsl.g:1:90: T31
                {
                mT31(); 

                }
                break;
            case 22 :
                // ../org.xtext.example.mydsl3.ui/src-gen/org/xtext/example/mydsl3/ui/contentassist/antlr/internal/InternalMyDsl.g:1:94: T32
                {
                mT32(); 

                }
                break;
            case 23 :
                // ../org.xtext.example.mydsl3.ui/src-gen/org/xtext/example/mydsl3/ui/contentassist/antlr/internal/InternalMyDsl.g:1:98: RULE_ID
                {
                mRULE_ID(); 

                }
                break;
            case 24 :
                // ../org.xtext.example.mydsl3.ui/src-gen/org/xtext/example/mydsl3/ui/contentassist/antlr/internal/InternalMyDsl.g:1:106: RULE_INT
                {
                mRULE_INT(); 

                }
                break;
            case 25 :
                // ../org.xtext.example.mydsl3.ui/src-gen/org/xtext/example/mydsl3/ui/contentassist/antlr/internal/InternalMyDsl.g:1:115: RULE_STRING
                {
                mRULE_STRING(); 

                }
                break;
            case 26 :
                // ../org.xtext.example.mydsl3.ui/src-gen/org/xtext/example/mydsl3/ui/contentassist/antlr/internal/InternalMyDsl.g:1:127: RULE_ML_COMMENT
                {
                mRULE_ML_COMMENT(); 

                }
                break;
            case 27 :
                // ../org.xtext.example.mydsl3.ui/src-gen/org/xtext/example/mydsl3/ui/contentassist/antlr/internal/InternalMyDsl.g:1:143: RULE_SL_COMMENT
                {
                mRULE_SL_COMMENT(); 

                }
                break;
            case 28 :
                // ../org.xtext.example.mydsl3.ui/src-gen/org/xtext/example/mydsl3/ui/contentassist/antlr/internal/InternalMyDsl.g:1:159: RULE_WS
                {
                mRULE_WS(); 

                }
                break;
            case 29 :
                // ../org.xtext.example.mydsl3.ui/src-gen/org/xtext/example/mydsl3/ui/contentassist/antlr/internal/InternalMyDsl.g:1:167: RULE_ANY_OTHER
                {
                mRULE_ANY_OTHER(); 

                }
                break;

        }

    }


 

}